from terminal import confirm
from ..services import client,printer

def remove(job_id, yes=False):
    if yes:
        client.remove_job(job_id)
        printer.done()
    else:
        try:
            if confirm("Remove this job, are you sure", default=False):
                client.remove_job(job_id)
                printer.done()
        except KeyboardInterrupt:
            print('')
            return


def transform_yes(yes):
    return True if yes else False