from terminal import confirm
from ..services import client,printer

def stop(job_id, yes=False):
    if yes:
        client.stop_job(job_id)
        printer.done()
    else:
        try:
            if confirm("Stop this job, are you sure", default=False):
                client.stop_job(job_id)
                printer.done()
        except KeyboardInterrupt:
            print('')
            return

def transform_yes(yes):
    return True if yes else False